/*
 Theme Name:     Grow My Business Divi Child
 Theme URI:      https://www.growmybusiness.co.nz
 Description:    Divi Child Theme for Grow My Business
 Author:         Ben Elwood
 Author URI:     https://www.growmybusiness.co.nz
 Template:       Divi
 Version:        1.0.0
*/
 
 
/* =Theme customization starts here
------------------------------------------------------- */
@import '../Divi/style.css';

/* #mega-menu {
	overflow: auto;
	max-height: 90vh;
}

header.et-l #main-menu.light,
header.et-l #main-menu.light p,
header.et-l #main-menu.light #hamburger,
header.et-l #main-menu.light #hamburger::before,
header.et-l #main-menu.light #hamburger::after,
header.et-l #main-menu.light .et_pb_image_wrap::after,
header.et-l #main-menu.light .et_pb_image_wrap img,
header.et-l #main-menu.light .et_pb_module.et_pb_image
{
    transition: all 300ms ease;
} */

/**/

/* header.et-l.scrolled:not(.mega-menu-active) #main-menu.light
{
    background: #0d0d2f !important;
    padding: 10px 0;
}

header.et-l.scrolled #main-menu.light p,
header.et-l.mega-menu-active #main-menu.light p
{
    color: #fff !important;
}

header.et-l.scrolled #main-menu.light #hamburger,
header.et-l.scrolled #main-menu.light #hamburger::before,
header.et-l.scrolled #main-menu.light #hamburger::after,
header.et-l.mega-menu-active #main-menu.light #hamburger,
header.et-l.mega-menu-active #main-menu.light #hamburger::before,
header.et-l.mega-menu-active #main-menu.light #hamburger::after
{
    background: #fff;
}

header.et-l #main-menu.light .et_pb_image_wrap::after
{
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-image: url("https://wordpress-820013-2816929.cloudwaysapps.com/wp-content/uploads/2022/09/Aero_White-1.svg");
	background-size: contain;
	background-repeat: no-repeat;
	opacity: 0;
}

header.et-l.scrolled #main-menu.light .et_pb_image_wrap::after,
header.et-l.mega-menu-active #main-menu.light .et_pb_image_wrap::after
{
    opacity: 1;
}

header.et-l.scrolled #main-menu.light .et_pb_image_wrap img,
header.et-l.mega-menu-active #main-menu.light .et_pb_image_wrap img
{
    opacity: 0;
}

header.et-l.scrolled:not(.mega-menu-active) #main-menu.light .et_pb_module.et_pb_image
{
    width: 180px;
} */

/* Link List */
/* h2.menu-list-title {
    font-size: 28px;
    font-family: 'Klint - Medium';
    opacity: 0.9;
}

ul.link-list {
    list-style: none;
    padding: 0 !important;
}

ul.link-list li.menu-item a {
    color: #fff;
    opacity: 0.6;
    font-size: 20px;
    font-weight: 400;
    transition: opacity 200ms ease;
}

ul.link-list li.menu-item:not(:last-child) {
    margin-bottom: 5px;
}

ul.link-list li.menu-item a:hover {
    opacity: 0.9;
} */


/* */
.et_pb_posts .et_pb_ajax_pagination_container, .et_pb_posts > div {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 50px;
}

.et_pb_posts article {
  margin: 0 !important;
}

a.entry-featured-image-url {
  position: relative;
  height: 200px;
}

.et_pb_posts a.entry-featured-image-url::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #0F0F42;
  opacity: 0.4;
  pointer-events: none;
}

.et_pb_post .entry-featured-image-url img {
    height: 100%;
    object-fit: cover;
}

/* .et_pb_posts article .more-link {
  position: relative;
  text-transform: capitalize;
  margin-top: 10px;
}

.et_pb_posts article .more-link::after {
  content: '';
  position: absolute;
  bottom: -3px;
  left: 0;
  width: 40%;
  height: 3px;
  background: linear-gradient(135deg, #D36930, #C52939 12%,#0F0F42) !important;
  transition: width 300ms ease;
}

.et_pb_posts article:hover .more-link::after {
  width: 60%;
} */

.stagger-text span {
  display: inline-block;
}

.stagger-text > span {
  overflow: hidden;
}

@media screen and (max-width: 980px) {
  .et_pb_posts .et_pb_ajax_pagination_container, .et_pb_posts > div {
      grid-template-columns: 1fr;
  }

  a.entry-featured-image-url {
    height: 300px;
  }

  .line-tl {
    display: none;
  }
}

@media screen and (max-width: 600px) {
  .et_pb_posts .et_pb_ajax_pagination_container, .et_pb_posts > div {
      grid-template-columns: 1fr;
      grid-gap: 30px;
  }

  a.entry-featured-image-url {
    height: 250px;
  }
}

body.et-fb #menu-mousetrap {
	display: none !important;
}

.mega-menu-active #menu-mousetrap {
    opacity: 1 !important;
    pointer-events: auto !important;
	cursor: pointer;
}

/**/

.dvmm_content {
	flex-wrap: nowrap;
}

ul.dvmm_menu {
	flex-wrap: nowrap !important;
	white-space: nowrap;
}

a.dvmm_button {
	white-space: nowrap;

}